## openstack-doc-tools 0.24

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
argparse
Babel>=1.3
iso8601>=0.1.9
lxml>=2.3
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
demjson # GNU LGPL 3.0

## openstack-doc-tools 0.16.1

=== debian/changelog ===
openstack-doc-tools (0.16.1-2) unstable; urgency=medium

  * Drop maven from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 16:12:45 +0000

openstack-doc-tools (0.16.1-1) unstable; urgency=medium

  * Initial release (Closes: #753408).

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 21:18:52 +0800

=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-sphinx
Build-Depends-Indep: python-hacking (>= 0.8.0),
                     python-lxml,
                     python-oslo.config,
Standards-Version: 3.9.5
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: git://anonscm.debian.org/openstack/openstack-doc-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-doc-tools.git;a=summary

Package: python-openstack-doc-tools
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libxml2-dev,
         libxslt-dev,
         python-lxml,
         python-oslo.config,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: tools used by the OpenStack Documentation project
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.

=== debian/rules ===
#!/usr/bin/make -f


UPSTREAM_GIT = git://github.com/openstack/openstack-doc-tools.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build

#override_dh_auto_install:
#	dh_auto_install -O--buildsystem=python_distutils

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-openstack-doc-tools/usr/share/doc/python-openstack-doc-tools/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

## openstack-doc-tools 0.24

=== debian/changelog ===
openstack-doc-tools (0.24-2) unstable; urgency=medium

  * Makes build reproducible (Closes: #782387). Thanks to Reiner Herrmann
    <reiner@reiner-h.de> for the report and patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 21:31:42 +0200

openstack-doc-tools (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jan 2015 23:07:24 +0100

openstack-doc-tools (0.19-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2014 00:25:46 +0800

=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-bashate,
                     python-demjson,
                     python-hacking,
                     python-iso8601,
                     python-lxml,
                     python-oslo.config (>= 1:1.9.3),
Standards-Version: 3.9.6
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: git://anonscm.debian.org/openstack/openstack-doc-tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-doc-tools.git;a=summary

Package: python-openstack-doc-tools
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel,
         python-demjson,
         python-iso8601,
         libxml2-dev,
         libxslt-dev,
         maven,
         python-lxml,
         python-oslo.config (>= 1:1.9.3),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
+
+export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
@@ -18,12 +21,12 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source $(CURDIR)/debian/python-openstack-doc-tools/usr/share/doc/python-openstack-doc-tools/html
+	sphinx-build -D today="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/python-openstack-doc-tools/usr/share/doc/python-openstack-doc-tools/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
 
 override_dh_installman:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b man doc/source doc/build/man
+	sphinx-build -D today="$(BUILD_DATE)" -b man doc/source doc/build/man
 	dh_installman -O--buildsystem=python_distutils
 endif

## openstack-doc-tools 0.31.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
argparse
Babel>=1.3
iso8601>=0.1.9
lxml>=2.3
oslo.config>=2.3.0 # Apache-2.0
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
demjson # GNU LGPL 3.0
PyYAML>=3.1.0

=== autogenerate_config_docs/requirements.txt ===
GitPython>=0.3.2.RC1
lxml
oslo.config
oslo.i18n

=== sitemap/requirements.txt ===
scrapy>=1.0.0

=== debian/changelog ===
openstack-doc-tools (0.31.0-4) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:22:00 +0000

openstack-doc-tools (0.31.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Added Breaks+Replaces for supporting upgrades from 0.31.0-1. Thanks to
    Andreas Beckmann for the report (Closes: #802645).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 20:29:19 +0000

openstack-doc-tools (0.31.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 08:33:11 +0000

openstack-doc-tools (0.31.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/gbp.conf: Update debian-branch to debian/liberty.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align dependencies with upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2015 10:25:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT = git://github.com/openstack/openstack-doc-tools.git
 include /usr/share/openstack-pkg-tools/pkgos.make
@@ -10,14 +12,73 @@
 export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
 
-#override_dh_auto_install:
-#	dh_auto_install -O--buildsystem=python_distutils
+override_dh_auto_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-openstack-doc-tools; \
+	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-openstack-doc-tools; \
+	done
+	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/doc-tools-check-languages $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-doc-tools-check-languages
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/doc-tools-check-languages $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-doc-tools-check-languages
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/doc-tools-update-cli-reference $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-doc-tools-update-cli-reference
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/doc-tools-update-cli-reference $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-doc-tools-update-cli-reference
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-auto-commands $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-auto-commands
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-auto-commands $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-auto-commands
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-autohelp $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-autohelp
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-autohelp $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-autohelp
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-doc-test $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-doc-test
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-doc-test $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-doc-test
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-generate-docbook $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-generate-docbook
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-generate-docbook $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-generate-docbook
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-generate-pot $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-generate-pot
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-generate-pot $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-generate-pot
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/openstack-jsoncheck $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-openstack-jsoncheck
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/openstack-jsoncheck $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-openstack-jsoncheck
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/doc-tools-build-rst $(CURDIR)/debian/python-openstack-doc-tools/usr/bin/python2-doc-tools-build-rst
+	mv $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/doc-tools-build-rst $(CURDIR)/debian/python3-openstack-doc-tools/usr/bin/python3-doc-tools-build-rst
+
+	# Move the cleanup and sitemap to the openstack-doc-tools-common package
+	mkdir -p $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/sitemap $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
+	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
+	rm -rf $(CURDIR)/debian/python*-openstack-doc-tools/usr/share/openstack-doc-tools/*
+
+	# Move back the .py files to individual python 2.7 / 3.x packages
+	mkdir -p $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf
+	mkdir -p $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf
+	set -e ; set -x ; for i in $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools/cleanup/*.py ; do \
+		BASEFILE=`basename $$i` ; \
+		DIRNAME=`dirname $$i` ; \
+		cp $$i $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/python2-$$BASEFILE ; \
+		cp $$i $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/python3-$$BASEFILE ; \
+		rm $$i ; \
+	done
+	set -e ; set -x ; for i in $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools/cleanup/retf/*.py ; do \
+		BASEFILE=`basename $$i` ; \
+		DIRNAME=`dirname $$i` ; \
+		cp $$i $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf/python2-$$BASEFILE ; \
+		cp $$i $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf/python3-$$BASEFILE ; \
+		rm $$i ; \
+	done
+	find $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools -exec sed -i '1 s/python/python3/' {} \;
+
+override_dh_python2:
+	dh_python2 -ppython-openstack-doc-tools
+	dh_python2 -ppython-openstack-doc-tools /usr/share
+
+override_dh_python3:
+	dh_python3 -ppython3-openstack-doc-tools --shebang=/usr/bin/python3
+	dh_python3 -ppython3-openstack-doc-tools --shebang=/usr/bin/python3 /usr/share
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## openstack-doc-tools 0.34.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
iso8601>=0.1.9 # MIT
lxml>=2.3 # BSD
oslo.config>=3.7.0 # Apache-2.0
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
demjson # GNU LGPL 3.0
PyYAML>=3.1.0 # MIT

=== debian/changelog ===
openstack-doc-tools (0.34.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:23:55 +0200

openstack-doc-tools (0.34.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install instead of manual stuff.
  * Bring the use of update-alternatives up-to-date with what's shipped.
  * Standards-Version: 3.9.8 (no change).
  * Using https for URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jul 2016 08:53:42 +0000

=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: libxml2-dev,
                     libxslt-dev,
                     pylint,
                     python-babel,
                     python-bashate,
                     python-demjson,
                     python-doc8,
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-lxml,
                     python-oslo.config (>= 1:2.7.0),
                     python-oslosphinx (>= 2.5.0),
                     python-yaml,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: https://git.openstack.org/openstack/deb-openstack-doc-tools -b debian/newton
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-openstack-doc-tools?h=debian%2Fnewton

Package: python-openstack-doc-tools
Architecture: all
Depends: libxml2-dev,
         libxslt-dev,
         openstack-doc-tools-common (= ${binary:Version}),
         python-babel,
         python-demjson,
         python-iso8601,
         python-lxml,
         python-oslo.config (>= 1:2.7.0),
         python-pbr (>= 1.8),
         python-sphinx,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 2.7
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 2.7 module.

Package: python3-openstack-doc-tools
Architecture: all
Depends: libxml2-dev,
         libxslt-dev,
         openstack-doc-tools-common (= ${binary:Version}),
         python3-babel,
         python3-demjson,
         python3-iso8601,
         python3-lxml,
         python3-oslo.config (>= 1:2.7.0),
         python3-pbr (>= 1.8),
         python3-sphinx,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 3.x
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 3.x module.

Package: openstack-doc-tools-common
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstack-doc-tools (<< 0.31.0-2~)
Replaces: python-openstack-doc-tools (<< 0.31.0-2~)
Description: tools used by the OpenStack Documentation project - common files
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package contains common files for both the Python 2.7 and 3.x packages.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/openstack-doc-tools.git
include /usr/share/openstack-pkg-tools/pkgos.make

export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build

override_dh_auto_install:
	pkgos-dh_auto_install

	# Move the cleanup and sitemap to the openstack-doc-tools-common package
	mkdir -p $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/sitemap $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
	mv $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools
	rm -rf $(CURDIR)/debian/python*-openstack-doc-tools/usr/share/openstack-doc-tools/*

	# Move back the .py files to individual python 2.7 / 3.x packages
	mkdir -p $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf
	mkdir -p $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf
	set -e ; set -x ; for i in $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools/cleanup/*.py ; do \
		BASEFILE=`basename $$i` ; \
		DIRNAME=`dirname $$i` ; \
		cp $$i $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/python2-$$BASEFILE ; \
		cp $$i $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/python3-$$BASEFILE ; \
		rm $$i ; \
	done
	set -e ; set -x ; for i in $(CURDIR)/debian/openstack-doc-tools-common/usr/share/openstack-doc-tools/cleanup/retf/*.py ; do \
		BASEFILE=`basename $$i` ; \
		DIRNAME=`dirname $$i` ; \
		cp $$i $(CURDIR)/debian/python-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf/python2-$$BASEFILE ; \
		cp $$i $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools/cleanup/retf/python3-$$BASEFILE ; \
		rm $$i ; \
	done
	find $(CURDIR)/debian/python3-openstack-doc-tools/usr/share/openstack-doc-tools -exec sed -i '1 s/python/python3/' {} \;

override_dh_python2:
	dh_python2 -ppython-openstack-doc-tools
	dh_python2 -ppython-openstack-doc-tools /usr/share

override_dh_python3:
	dh_python3 -ppython3-openstack-doc-tools --shebang=/usr/bin/python3
	dh_python3 -ppython3-openstack-doc-tools --shebang=/usr/bin/python3 /usr/share

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -D today="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/python-openstack-doc-tools/usr/share/doc/python-openstack-doc-tools/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -D today="$(BUILD_DATE)" -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

## openstack-doc-tools 1.0.1

=== debian/changelog ===
openstack-doc-tools (1.0.1-1) unstable; urgency=medium

  * Fix control for this version of package
  * New upstream release
  * Add remove-cliff-tablib-from-requirements.patch 
  * Add fix-manpages-generate.patch 
  * Remove non-existant alternative in /usr/bin

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Dec 2017 11:57:17 +0100

openstack-doc-tools (0.34.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:01:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,7 +24,7 @@
                      python-hacking (>= 0.10.0),
                      python-iso8601,
                      python-lxml,
-                     python-oslo.config (>= 1:2.7.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslosphinx (>= 2.5.0),
                      python-yaml,
 Standards-Version: 3.9.8
@@ -41,7 +41,7 @@
          python-demjson,
          python-iso8601,
          python-lxml,
-         python-oslo.config (>= 1:2.7.0),
+         python-oslo.config (>= 1:3.14.0),
          python-pbr (>= 1.8),
          python-sphinx,
          python-yaml,
@@ -64,7 +64,7 @@
          python3-demjson,
          python3-iso8601,
          python3-lxml,
-         python3-oslo.config (>= 1:2.7.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-pbr (>= 1.8),
          python3-sphinx,
          python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,10 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
+	rm -rf build
+	rm -rf openstack_doc_tools.egg-info
+	rm -f AUTHORS
+	rm -f ChangeLog
 
 override_dh_auto_install:
 	pkgos-dh_auto_install

## openstack-doc-tools 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
iso8601>=0.1.11 # MIT
lxml!=3.7.0,>=2.3 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx>=1.5.1 # BSD
demjson # GLGPLv3+
PyYAML>=3.10.0 # MIT
cliff-tablib>=1.0 # Apache-2.0

=== debian/changelog ===
openstack-doc-tools (1.5.0-0ubuntu2) zesty; urgency=medium

  * d/pydist-overrides: Dont try to install cliff-tablib. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Mar 2017 13:54:14 -0500

openstack-doc-tools (1.5.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/watch: Point to pypi.
  * d/python-openstack-doc-tools.manpages: Remove missing pages.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 09:31:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: openstack-doc-tools
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -24,13 +25,13 @@
                      python-hacking (>= 0.10.0),
                      python-iso8601,
                      python-lxml,
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:2.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-yaml,
 Standards-Version: 3.9.8
 Homepage: https://github.com/openstack/openstack-doc-tools
-Vcs-Git: https://git.openstack.org/openstack/deb-openstack-doc-tools -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-openstack-doc-tools?h=debian%2Fnewton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-doc-tools
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openstack-doc-tools
 
 Package: python-openstack-doc-tools
 Architecture: all
@@ -41,7 +42,7 @@
          python-demjson,
          python-iso8601,
          python-lxml,
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:2.7.0),
          python-pbr (>= 1.8),
          python-sphinx,
          python-yaml,
@@ -64,7 +65,7 @@
          python3-demjson,
          python3-iso8601,
          python3-lxml,
-         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.config (>= 1:2.7.0),
          python3-pbr (>= 1.8),
          python3-sphinx,
          python3-yaml,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/openstack-doc-tools/openstack-doc-tools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## openstack-doc-tools 1.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
iso8601>=0.1.11 # MIT
lxml!=3.7.0,>=2.3 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain
sphinx>=1.6.2 # BSD
demjson # GLGPLv3+
PyYAML>=3.10.0 # MIT
cliff-tablib>=1.0 # Apache-2.0

=== autogenerate_config_docs/requirements.txt ===
docutils
jinja2
lxml
oslo.config
oslo.i18n

=== debian/changelog ===
openstack-doc-tools (1.6.0-2) unstable; urgency=medium

  * (build-)depends on python-openstackdocstheme (Closes: #880130).
  * Uploading to unstable.
  * Update debian/copyright.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:29:43 +0000

openstack-doc-tools (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.
  * Remove cliff-tablib from requirements.
  * Remove non-existant alternative in /usr/bin.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 18:43:16 +0200

=== debian/control ===
Source: openstack-doc-tools
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 libxml2-dev,
 libxslt-dev,
 pylint,
 python-bashate,
 python-demjson,
 python-doc8,
 python-docutils,
 python-hacking (>= 0.10.0),
 python-iso8601,
 python-lxml,
 python-openstackdocstheme (>= 1.16.0),
 python-oslo.config (>= 1:4.0.0),
 python-yaml,
Standards-Version: 4.1.1
Homepage: https://github.com/openstack/openstack-doc-tools
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/openstack-doc-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/openstack-doc-tools.git

Package: openstack-doc-tools-common
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - common files
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package contains common files for both the Python 2.7 and 3.x packages.

Package: python-openstack-doc-tools
Architecture: all
Depends:
 libxml2-dev,
 libxslt-dev,
 openstack-doc-tools-common (= ${binary:Version}),
 python-demjson,
 python-docutils,
 python-iso8601,
 python-lxml,
 python-oslo.config (>= 1:4.0.0),
 python-pbr (>= 2.0.0),
 python-sphinx,
 python-yaml,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 2.7
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 2.7 module.

Package: python3-openstack-doc-tools
Architecture: all
Depends:
 libxml2-dev,
 libxslt-dev,
 openstack-doc-tools-common (= ${binary:Version}),
 python3-demjson,
 python3-docutils,
 python3-iso8601,
 python3-lxml,
 python3-oslo.config (>= 1:4.0.0),
 python3-pbr (>= 2.0.0),
 python3-sphinx,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: tools used by the OpenStack Documentation project - Python 3.x
 This package contains a set of tools used to build the OpenStack documentation
 (install-guide, etc.) in multiple formats: html, pdf, etc. The input format is
 a set of XML documents.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = https://github.com/openstack/openstack-doc-tools.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
@@ -12,10 +11,6 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf doc/build
-	rm -rf build
-	rm -rf openstack_doc_tools.egg-info
-	rm -f AUTHORS
-	rm -f ChangeLog
 
 override_dh_auto_install:
 	pkgos-dh_auto_install

=== debian/watch ===
version=3
opts="uversionmangle=s/^201.*/0.0.0/" \
https://github.com/openstack/openstack-doc-tools/tags .*/(\d[\d\.]+)\.tar\.gz
